require 'main'

ENV['BARFOO'] = 'true,false,false'
ARGV.replace %w( 42 bar=40 bar=2 --foobar=a )

Main {
  argument('foo'){
    cast :int
  }

  keyword('bar'){
    arity 2
    cast :float
    defaults 0.0, 1.0
  }

  option('foobar'){
    argument :optional
    description 'the foobar option is very handy'
  }

  environment('BARFOO'){
    cast :list_of_bool
    synopsis 'export barfoo=value'
  }

  def run
    p params['foo'].value
    p params['bar'].values
    p params['foobar'].value
    p params['BARFOO'].value
  end
}
